Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.annotation
Class SourceKey

    java.lang.Object
      unity.annotation.SourceKey

Direct Known Subclasses:
  AnnotatedSourceKey, SourceForeignKey

    public class SourceKey

extends java.lang.Object

Constructor Summary
`SourceKey(java.util.ArrayList newKey, int type, java.lang.String name)`
`SourceKey(SourceTable newTable)`
`SourceKey(SourceTable table, java.util.ArrayList newKey, int type, java.lang.String name)`
`SourceKey(SourceTable table, int type, java.lang.String name)`

Method Summary
`void` | `addField(SourceField sf)`
`java.util.ArrayList` | `getFields()`
`int` | `getKeyType()`
`java.lang.String` | `getName()`
`SourceTable` | `getTable()`
`java.lang.String` | `keyTypeToXML()`
`boolean` | `matchKeyFields(java.util.ArrayList fields)`
`void` | `setKeyType(int type)`
`void` | `setName(java.lang.String name)`
`void` | `setTable(SourceTable st)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SourceKey

    public SourceKey(SourceTable newTable)

### SourceKey

    public SourceKey(java.util.ArrayList newKey,
                     int type,
                     java.lang.String name)

### SourceKey

    public SourceKey(SourceTable table,
                     int type,
                     java.lang.String name)

### SourceKey

    public SourceKey(SourceTable table,
                     java.util.ArrayList newKey,
                     int type,
                     java.lang.String name)

Method Detail

### matchKeyFields

    public boolean matchKeyFields(java.util.ArrayList fields)

### getFields

    public java.util.ArrayList getFields()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getKeyType

    public int getKeyType()

### setKeyType

    public void setKeyType(int type)

### getTable

    public SourceTable getTable()

### setTable

    public void setTable(SourceTable st)

### addField

    public void addField(SourceField sf)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### keyTypeToXML

    public java.lang.String keyTypeToXML()

### toXML

    public java.lang.String toXML()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD